

#include "rba_DemObdBasic_Prv.h"

void rba_DemObdBasic_Init(void)
{
    rba_DemObdBasic_Mil_Init();
    rba_DemObdBasic_PdtcMem_Init();
    rba_DemObdBasic_Iumpr_Init();
}

void rba_DemObdBasic_InitCheckNvm(void)
{
    rba_DemObdBasic_PdtcMem_InitCheckNvM();
    rba_DemObdBasic_Iumpr_InitCheckNvm();
}

void rba_DemObdBasic_MainFunction(void)
{
    rba_DemObdBasic_PdtcMem_MainFunction();
    rba_DemObdBasic_Iumpr_MainFunction();
}

void rba_DemObdBasic_Shutdown(void)
{
    rba_DemObdBasic_Iumpr_Shutdown();
}

void rba_DemObdBasic_Clear(Dem_DTCOriginType DTCOrigin)
{
    /* for now only primary memory supported */
    if (DTCOrigin == DEM_DTC_ORIGIN_PRIMARY_MEMORY)
    {
        

        rba_DemObdBasic_Mil_Clear();
        rba_DemObdBasic_PdtcMem_Clear();
        rba_DemObdBasic_Pid_Clear();
    }
}
